banshee window remain white on startup on armel

Bug #857299 reported by Nicolas Dechesne on 2011-09-23
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Banshee
Fix Released
Critical
banshee (Ubuntu)
High
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

when i start banshee on pandaboard with an FS dist-upgraded this morning, banshee window is white. I can see the menu, i cannot close the app, i need to kill it.

note that i don't know if it worked in the past as this is the first time i try.

when i start from command line i get the attached error log.

Nicolas Dechesne (ndec) wrote :
Tobin Davis (gruemaster) wrote :

This is reproducible on BeagleXM and iMX53 platforms with 20111003 daily images as well. Not specific to SMP as it was in Maverick. Will test other mono apps to see if this issue can be narrowed down.

Changed in banshee (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Michael Casadevall (mcasadevall)
Oliver Grawert (ogra) wrote :

i tested without the ubuntuone store plugin installed since that also shows errors in the log, but with no different result.

Jani Monoses (jani) wrote :

Installing the pixbuf gtk theme (the lack of which also resulted in some warnings) does not help either.

Tobin Davis (gruemaster) wrote :

Fails with version 2.2.0-1ubuntu2 (for those that were wondering).

summary: - banshee window remain white on startup on pandaboard
+ banshee window remain white on startup on armel
Tobin Davis (gruemaster) wrote :

I have also tested f-spot to see if it was specific to mono, but f-spot runs without any issues. Not sure what else to test with to try to eliminate the support libraries.

Tobin Davis (gruemaster) wrote :

gtk-sharp2-examples also runs without failure.

Tobin Davis (gruemaster) wrote :

ubuntu@panda5:~/tmp$ mono --version
Mono JIT compiler version 2.10.5 (Debian 2.10.5-1)
Copyright (C) 2002-2011 Novell, Inc, Xamarin, Inc and Contributors. www.mono-project.com
 TLS: __thread
 SIGSEGV: normal
 Notifications: epoll
 Architecture: armel,soft-float
 Disabled: none
 Misc: softdebug
 LLVM: supported, not enabled.
 GC: Included Boehm (with typed GC and Parallel Mark)

ubuntu@panda5:~/tmp$ banshee --version
Banshee 2.2 (2.2.0) http://banshee.fm
Copyright 2005-2011 Novell, Inc. and Contributors.

Tobin Davis (gruemaster) wrote :

Added output from running with mono softdebugger loaded.

Changed in banshee:
importance: Unknown → Critical
status: Unknown → New
Tobin Davis (gruemaster) wrote :

It would appear this bug has been around for a while. Just fired up daily image from 20110921 with banshee 2.1.4-1ubuntu1. This time I get a full application window before the same exception is given. I have a working menu as well, but the menu items don't launch anything. The program is pretty much unresponsive at this point.

Changed in banshee:
status: New → Incomplete
tags: added: iso-testing
Changed in banshee (Ubuntu Oneiric):
status: New → Won't Fix
Changed in banshee:
status: Incomplete → New
Tobin Davis (gruemaster) wrote :

This is a patch from gnome bugzilla 624976, which makes banshee work on armel. Still not sure of the root cause of the issue and why it is different on arm vs x86. Will need to do side by side comparisons to make a root cause analysis.

The attachment "bug-857299.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
tellapu (tellapu) wrote :
Download full text (3.7 KiB)

On Ubuntu 10.10 I have the same problems for some days now, did not change anything in Banshee and there was no update I guess.

When I start with sudo banshee, the program would start, but would not find the music files in the music home folder.
Here is what I get in the terminal, perhaps it helps:
[Info 20:46:43.935] Running Banshee 1.8.1: [Ubuntu 10.10 (linux-gnu, i686) @ 2011-02-02 09:04:16 UTC]
[Warn 20:46:48.385] DBus support could not be started. Disabling for this session.
[Info 20:46:49.094] Migrating album-art cache directory
[Info 20:46:49.121] Migrated 0 files in 0.003229s
[Warn 20:46:56.015] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x00000] in <filename unknown>:0
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00000] in <filename unknown>:0
[Warn 20:46:56.015] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[Warn 20:46:56.053] Add-in could not be loaded: The required addin 'Banshee.Mpris,1.0' is disabled. - Mono.Addins.MissingDependencyException: The required addin 'Banshee.Mpris,1.0' is disabled. (in `Mono.Addins')
  at Mono.Addins.AddinSessionService.ResolveLoadDependencies (System.Collections.ArrayList addins, System.Collections.Stack depCheck, System.String id, Boolean optional) [0x00000] in <filename unknown>:0
  at Mono.Addins.AddinSessionService.ResolveLoadDependencies (System.Collections.ArrayList addins, System.Collections.Stack depCheck, System.String id, Boolean optional) [0x00000] in <filename unknown>:0
[Warn 20:46:56.053] Caught an exception - Mono.Addins.MissingDependencyException: The required addin 'Banshee.Mpris,1.0' is disabled. (in `Mono.Addins')
  at Mono.Addins.AddinSessionService.ResolveLoadDependencies (System.Collections.ArrayList addins, System.Collections.Stack depCheck, System.String id, Boolean optional) [0x00000] in <filename unknown>:0
  at Mono.Addins.AddinSessionService.ResolveLoadDependencies (System.Collections.ArrayList addins, System.Collections.Stack depCheck, System.String id, Boolean optional) [0x00000] in <filename unknown>:0
[Warn 20:46:56.053] Extension `/Banshee/ServiceManager/Service/__nid_9' not started: The required addin 'Banshee.Mpris,1.0' is disabled.
[Info 20:46:56.057] Updating web proxy from GConf
[Warn 20:46:56.283] Caught an exception - System.ApplicationException: No support GNOME Settings Daemon could be reached. (in `Banshee.MultimediaKeys')
  at Banshee.MultimediaKeys.MultimediaKeysService.Banshee.ServiceStack.IExtensionService.Initialize () [0x00000] in <filename unknown>:0
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00000] in <filename unknown>:0
[Warn 20:46:56.283] Extension `Banshee.MultimediaKeys.MultimediaKeysService' not started: No support GNOME Settings Daemon could be reached.
[Info 20:46:56.284] All services are started 7.897435
[Warn 20:46:56.754] Migrating Internet Radio Stat...

Read more...

Oliver Grawert (ogra) wrote :

this bug is specific to the arm architecture (as the bug description says)
@tellapu: please open a fresh bug for any problems on intel hardware, this bug is not appropriate

Changed in banshee (Ubuntu Precise):
status: Confirmed → Triaged
Tobin Davis (gruemaster) on 2012-01-30
Changed in banshee (Ubuntu Precise):
assignee: Michael Casadevall (mcasadevall) → nobody
tags: added: rls-mgr-p-tracking
Changed in banshee:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee - 2.5.1-1ubuntu1

---------------
banshee (2.5.1-1ubuntu1) quantal; urgency=low

  * [9615bd3e] Merge from Debian Experimental (LP: #1041245), remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * [77c7309] Drop Workaruond-for-set_Height-Exceptions.patch.
    Applied upstream

banshee (2.5.1-1) experimental; urgency=low

  * [e8e7f55] Imported Upstream version 2.5.1:
    - Notable bugs fixed:
      * AmazonMp3.Store: Fix URL redirection for sign out action
      * bgo#623974: BasicTrackDetailsPage: Blank year spin button when 0
        (LP: #603471)
      * bgo#624976: Gui.Canvas.Rect: log invalid values for Width/Height
        (LP: #873787)
      * bgo#636450: PathPattern: Limit filename length to 200 characters
      * bgo#682510: Mpris: Only raise PropertiesChanged signal if value changed
      * bgo#683359: SourceView: log errors in SetCellDataFunc to avoid crashing
      * bgo#661112: Gui.Canvas.Size: log invalid values for Width/Height
        (LP: #857299)

banshee (2.5.0-1ubuntu1) UNRELEASED; urgency=low

  * [1912c66] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * Additional Launchpad bug fixed:
    - Phantom operation animating progress bar after syncing iPod (LP: #864791)

banshee (2.5.0-1) experimental; urgency=low

  * [2fb3583] Imported Upstream version 2.5.0
  * [40793f9] Refresh patches and drop upstreamed Fix-FTBFS….patch
 -- Chow Loong Jin <email address hidden> Sun, 23 Sep 2012 16:41:43 +0800

Changed in banshee (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.